# Priručnik za Konsolu

Džonatan
Singer
&Jonathan.Singer.mail;
Kurt
Hindenburg
&Kurt.Hindenburg.mail;
Robert
Najt
&Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
Valdo
Bastijan
&Waldo.Bastian.mail;
Majk
Mekbrajd
&Mike.McBride.mail;
Dragan
Pantelić

    falcon-10@gmx.de

prevod
2000
2001
2002
Džonatan Singer
2005
2008
2009
2010
2011
Kurt Hindenburg
&FDLNotice;
12. 11. 2011.
2.8 (KDE 4.8)

Konsole je KDE‑ov emulator terminala.

KDE
Konsole
kdebase
komandna
linija
terminal
CLI

## Uvod

### Šta je terminal?

Konsole je X emulator terminala (često i samo terminal, ili školjka). Emulira sučelje komandne linije u prozoru sa čistim tekstom.

Konsole obično izvršava komandnu školjku, program koji izvršava naredbe koje unosite. Koja će to biti školjka zavisi od postavki vašeg naloga. Više o toj školjci, kako da je podesite i koristite, možete naći u dokumentaciji operativnog sistema.

### Prepis

Konsole koristi koncept prepisa da dopusti korisniku pregled prethodno proizvedenog izlaza. Prepis je podrazumevano uključen i postavljen na pamćenje 1000 redova izlaza povrh trenutno prikazanih na ekranu. Redovi teksta koji otklize izvan vrha ekrana mogu se pregledati pomeranjem klizačke trake nagore, okretanjem točkića miša, prečicom Shift PageUp (za pomeranje jednu stranicu unazad), Shift PageDown (za pomeranje jednu stranicu unapred), Shift strelica gore (za jedan red nagore) i Shift strelica dole (za jedan red nadole).

### Profili

Profili dopuštaju korisniku da brzo i lako automatizuje izvršavanje uobičajenih naredbi. Neki primeri:

- `ssh` na drugi računar

- pokretanje IRC sesije

- `tail` za nadgledanje fajla

Postupak stvaranja novog profila:

1. Kliknite na stavku menija Podešavanje Upravljaj profilima...

2. Kliknite na dugme Novi profil....

3. Popunite prvi unos imenom. Ono će se prikazivati u meniju, i biti podrazumevana etiketa (umesto Školjka) kad pokrenete sesiju ovog tipa.

4. Unesite naredbu, tačno kao kad biste otvorili novu školjku i izvršili je. Za naš prvi gornji primer, mogli biste upisati ``ssh` administracija`.

5. Pod drugim jezičcima dijaloga, podesite izgled sesije. Za svaku sesiju možete podesiti drugačiji font, šemu boja, terminal ($`TERM`), i mnoge druge postavke.

6. Pritisnite dugme U redu. Nova sesija sada je dostupna u dijalogu Upravljaj profilima....

Svaki profil kome je popunjenog dato u meniju biće naveden po imenu u meniju Fajl Novi jezičak. Ako se prikazuje samo podrazumevani profil, podmenija neće biti.

### Dugmad miša

Ova sekcija opisuje upotrebu dugmadi miša za uobičajeni desnoruki redosled. Za levoruki redosled, razmenite ‘levo’ i ‘desno’ u daljem tekstu.

levo

  Svi klikovi levim dugmetom biće poslati programu svesnom miša koji se izvršava u Konsoli. Ako program reaguje na klikove mišem, Konsole na to ukazuje kursorom u vidu strelice. Ako ne, kursor je oblika uspravne crte.

  Držanje pritisnutog levog dugmeta i prevlačenje miša preko ekrana obeležiće potez teksta, ako program nije svestan miša. Obeleženi tekst pri prevlačenju se prikazuje izvrnutom bojom, radi vizuelnog odziva. Izaberite Kopiraj iz menija Uređivanje da biste kopirali obeleženi tekst u klipbord, radi dalje upotrebe u Konsoli ili drugom programu. Izabrani tekst takođe se može prevlačiti u saglasne programe: držite pritisnut taster Ctrl i prevucite tekst na željeno mesto.

  Znakovi novog reda normalno se umeću na kraju svakog izabranog reda. Ovo je najbolje za isecanje i nalepljivanje izvornog koda, ili izlaza određene naredbe. Za običan tekst, prelomi redova često nisu važni: nekada je pogodnije da tekst bude tok znakova koji se automatski ponovo formatira pri nalepljivanju u drugi program. Za izbor u režimu toka znakova, držite pritisnut taster Ctrl pri biranju.

  Držanje tastera Ctrl i Alt zajedno sa levim dugmetom miša biraće tekst po kolonama.

  Dvokliknite levim dugmetom da izaberete reč, a trokliknite da izaberete ceo red.

  Ako se pri obeležavanju dosegne gornja ili donja ivica oblasti teksta, Konsole kliza gore ili dole, izlažući još teksta iz bafera istorijata. Klizanje prestaje kad prestane kretanje miša.

  Pošto se pusti miš, Konsole pokušava da zadrži tekst u klipbordu vidljivim, održavanjem obeležene oblasti izvrnutom. Obeležena oblast vraća se u normalu čim se izmeni sadržaj klipborda, izmeni tekst unutar oblasti, ili klikne levim dugmetom.

  Za obeležavanje teksta u programu svesnom miša (na primer, Ponoćni komandir), pri kliktanju se mora držati pritisnut taster Shift.

srednje

  Pritisak srednjeg dugmeta nalepljuje tekst trenutno u klipbordu. Ako pritom držite pritisnut taster Ctrl, tekst se nalepljuje sa pridodatim novim redom. Ovo je zgodno za brzo izvršavanje nalepljenih naredbi, ali može biti i opasno, pa budite oprezni.

  Ako miš ima samo dva dugmeta, istovremeni pritisak i levog i desnog dugmeta simulira srednje dugme miša sa tri dugmeta.

  Ako srednje dugme ima i točkić, njegovo obrtanje u programu nesvesnom miša pomeraće Konsolinu klizačku traku.

desno

  Na pritisak desnog dugmeta dobija se meni sa sledećim stavkama: Kopiraj, Nalepi, Otvori menadžer fajlova, Postavi kodiranje Očisti prepis, Podesi prepis..., Prikaži traku menija, Promeni profil, Podesi tekući profil... i Zatvori jezičak.

  U programu svesnom miša, za dobijanje iskačućeg menija držite taster Shift pri pritisku desnog dugmeta.

## Popis naredbi

### Traka menija

Traka menija je na vrhu Konsolinog prozora. Ako je traka menija sakrivena, do stavke Prikaži traku menija može se doći desnim klikom u prozoru (pod uslovom da se ne izvršava celoekranski program, kao što su Vi, Minicom, itd.) Podrazumevana prečica navedena je posle svake stavke.

#### Meni Fajl

Ctrl Shift N Fajl Novi prozor

  Otvara nov, zaseban Konsolin prozor sa podrazumevanim profilom.

Ctrl Shift T Fajl Novi jezičak

  Otvara novi jezičak sa podrazumevanim profilom.

  Konsole dolazi sa profilom „Školjka“ kao podrazumevanim. Svi profili koje je dodao korisnik biće dati u podmeniju. Ako se prikazuje samo podrazumevani profil, podmenija neće biti.

Ctrl Shift W Fajl Zatvori jezičak

  Zatvara tekući jezičak.

Fajl Sačuvaj izlaz kao...

  Upisuje tekući prepis u tekstualni ili HTML fajl.

Fajl Otvori menadžer fajlova

  Otvara KDE‑ov menadžer fajlova nad tekućom fasciklom. Podrazumevano je to Dolphin.

Ctrl Shift Q Fajl Napusti

  Napušta Konsolu.

  Ako ima više od jednog jezička, Konsole izdati dijalog za potvrdu. Moguće ga je isključiti popunjavanjem kućice Ne pitaj sledeći put.

#### Meni Uređivanje

Ctrl Shift C Uređivanje Kopiraj

  Kopira izabrani tekst u klipbord.

Ctrl Shift V Uređivanje Nalepi

  Nalepljuje tekst iz klipborda na lokaciji kursora.

Uređivanje Izaberi sve

  Izabira sav tekst u tekućem prozoru.

Uređivanje Kopiraj unos u sve jezičke u tekućem prozoru

  Čini da unos u tekućoj sesiji bude istovremeno slat svim sesijama u tekućem prozoru.

Ctrl Shift. Uređivanje Kopiraj unos u izabrane jezičke...

  Čini da unos u tekućoj sesiji bude istovremeno slat sesijama koje izabere korisnik.

Ctrl Shift/ Uređivanje Kopiraj unos u nigde

  Zaustavlja slanje unosa iz tekuće sesije u druge sesije.

Ctrl Alt S Uređivanje Preimenuj jezičak...

  Otvara dijalog u kojem možete izmeniti ime tekućeg jezička. (Više o ovome.)

Ctrl Alt U Uređivanje Otpremi ZModemom...

  Otvara dijalog za izbor fajla koji treba otpremiti (ako je instaliran neophodan softver).

Ctrl Shift F Uređivanje Nađi...

  Otvara traku pretrage na dnu prozora Konsole.

  Omogućava pretrage sa razlikovanjem veličine slova, unapred i unazad, i sa regularnim izrazima.

F3 Uređivanje Nađi sledeće

  Prelazi na sledeći pogodak pretrage.

Shift F3 Uređivanje Nađi prethodno

  Prelazi na prethodni pogodak pretrage.

#### Meni Prikaz

Ctrl( Prikaz Podeljen prikaz Podeli prikaz levo/desno

  Deli sve jezičke na levi i desni prikaz.

  Sav izlaz u jednom prikazu odslikava se i na drugi.

Ctrl) Prikaz Podeljen prikaz Podeli prikaz gore/dole

  Deli sve jezičke na gornji i donji prikaz.

  Sav izlaz u jednom prikazu odslikava se i na drugi.

Ctrl Shift S Prikaz Podeljen prikaz Zatvori aktivni

  Zatvara tekući prikaz.

Ctrl Shift O Prikaz Podeljen prikaz Zatvori ostale

  Zatvara sve prikaze osim tekućeg.

Ctrl Shift] Prikaz Podeljen prikaz Raširi prikaz

  Uvećava tekući prikaz.

Ctrl Shift[ Prikaz Podeljen prikaz Skupi prikaz

  Smanjuje tekući prikaz.

Ctrl Shift H Prikaz Otkači tekući jezičak

  Otvara tekući jezičak u zasebnom prozoru.

  Napuštanje prethodnog prozora Konsole neće uticati na novostvoreni.

Ctrl Shift I Prikaz Nadgledaj tišinu

  Nadgledanje nedostatka aktivnosti pod tekućim jezičkom.

  Podrazumevano, posle 10 sekundi neaktivnosti na jezičku sesije pojaviće se ikona obaveštenja. Tip upozorenja može se promeniti pomoću Podešavanje Podesi obaveštenja Tišina u nadgledanoj sesiji.

Ctrl Shift A Prikaz Nadgledaj aktivnost

  Nadgledanje aktivnosti pod tekućim jezičkom.

  Na bilo kakvu aktivnost, na jezičku sesije pojavljuje se ikona obaveštenja. Tip upozorenja može se izmeniti pomoću Podešavanje Podesi obaveštenja Aktivnost u nadgledanoj sesiji.

Ctrl+ Prikaz Povećaj font

  Povećava veličinu fonta za tekst.

Ctrl- Prikaz Smanji font

  Smanjuje veličinu fonta za tekst.

Prikaz Postavi kodiranje

  Postavlja kodiranje znakova.

Prikaz Očisti prepis

  Čisti tekst iz popisa.

Ctrl Shift X Prikaz Očisti prepis i resetuj

  Čisti tekst pod tekućim jezičkom i u popisu, i resetuje terminal.

#### Meni Obeleživači

Ctrl Shift B Obeleživači Dodaj obeleživač

  Dodaje trenutnu lokaciju.

Obeleživači Obeleži jezičke kao fasciklu...

  Dodaje sve jezičke u fasciklu obeleživača.

  Otvoriće se dijalog za ime fascikle obeleživača.

Obeleživači Nova fascikla obeleživača...

  Dodaje novu fasciklu spisku obeleživača.

  Otvoriće se dijalog za ime fascikle obeleživača.

Obeleživači Uredi obeleživače

  Otvara uređivač obeleživača.

  Uređivača obeleživača možete koristiti za ručno dodavanje URL‑ova. Konsole trenutno prihvata sledeće:

  - ssh://korisnik@domaćin:port

  - telnet://korisnik@domaćin:port

#### Meni Podešavanje

Podešavanje Podesi tekući profil...

  Otvara dijalog za podešavanje tekućeg profila.

Podešavanje Promeni profil

  Prebacuje sa tekućeg na neki od nabrojanih profila.

Podešavanje Upravljaj profilima...

  Otvara uređivač za upravljanje profilima.

Ctrl Shift M Podešavanje Prikaži traku menija

  Prikazuje ili skriva traku menija.

Podešavanje Preko celog ekrana

  Prebacuje Konsolu preko celog ekrana.

Podešavanje Podesi prečice...

  Otvara uređivač prečica sa tastature.

Podešavanje Podesi obaveštenja...

  Otvara uređivač obaveštenja.

#### Meni Pomoć

&help.menu.documentation;

### Dijalog za preimenovanje jezička

U ovom dijalogu se može izmeniti ime tekućeg jezička. Dozovite ga kroz meni, prečicom Ctrl Alt S ili dvoklikom na jezičak na traci jezičaka. Promene se mogu učinit trajnim uređivanjem tekućeg profila.

Konsole će smenjivati sledeće tokene:

- %n — ime programa

- %d — tekuća fascikla (kratko)

- %D — tekuća fascikla (dugačko)

- %w — naslov prozora postavljen školjkom

- %# — broj sesije

- %u — korisničko ime

Primeri:

- `%d : %n`, ako je `/usr/src` tekuća fascikla i izvršava se `bash`, prikazaće usr/s : bash

- `%D : %n`, ako je `/usr/src` tekuća fascikla i izvršava se `top`, prikazaće /usr/src : top

- `%w (%#)`, ako je `~` tekuća fascikla i `vim` se izvršava pod prvim jezičkom, prikazaće [No Name] (~) - VIM(1)

### Dijalog za kopiranje ulaza

Tekst unet pod jednim jezičkom može se istovremeno proslediti drugim. Ovaj dijalog omogućava izbor jezičaka koji će primiti taj ulaz. Tekući jezičak će biti zasivljen.

### Dijalog za podešavanje prepisa

U ovom dijalogu mogu se izmeniti opcije za veličinu istorijata prepisa. Izmene važe samo za tekući jezičak i neće biti sačuvane u profilu.

## Opcije komandne linije

Pri pokretanju Konsole iz komandne linije, mogu se zadati neke opcije za promenu ponašanja.

`--help`

  Nabraja dostupne opcije.

`--profile` `fajl`

  Pokreće Konsolu sa zadatim profilom umesto podrazumevanog.

`--list-profiles`

  Nabraja sve dostupne profile.

`--list-profile-properties`

  Nabraja sva poznata svojstva ovog imena i tipa. V. opciju `-p`.

`--background-mode`

  Pokreće Konsolu u pozadini, tako da se može dozvati u prvi plan pritiskom Ctrl Shift F12 (podrazumevano).

`--new-tab`

  Stvara novi jezičak u postojećem prozoru, umesto da se otvori novi.

`--tabs-from-file` `fajl`

  Stvara jezičke kako je navedeno u datom postavnom fajlu jezičaka.

  Fajl sadrži jedan jezičak po redu, u sledećem formatu:

  title: Ovo je naslov;; command: izvrši me

`--workdir` `fas`

  Otvara Konsolu sa `fas` kao početnom radnom fasciklom.

`--notransparency`

  Isključuje providne pozadine, čak i ako ih sistem podržava.

`--force-transparency`

  Pokušava da uključi providnost, čak i ako ne izgleda da je sistem podržava.

`--hold, --noclose`

  Bez automatskog zatvaranja početne sesije kada se završi.

`-p` `svojstvo=vrednost`

  Menja vrednost svojstva u profilu.

`-e` `naredba`

  Izvršava se data naredba umesto normalne školjke.

  Ova opcija čini da Konsole uhvati sve argumente koji slede i izvrši ih kao `naredba`. Zato uvek mora biti poslednja od svih opcija.

`--nofork`

  Bez izvršavanja u pozadini. Ovo je često potrebno za oponašanje drugih emulatora terminala.

Konsole prihvata i generičke Qt i KDE opcije:

`--help-qt`

  Spisak opcija posebnih za Qt.

Sledeće Qt opcije nemaju uticaja na Konsolu:

`--fn`, `--font` `imefonta`

  Definiše font programa.

`--bg`, `--background` `boja`

  Postavlja podrazumevanu boju pozadine.

`--fg`, `--foreground` `boja`

  Postavlja podrazumevanu boju ispisa.

`--btn`, `--button` `boja`

  Postavlja podrazumevanu boju dugmeta.

`--help-kde`

  Spisak opcija posebnih za KDE.

`--help-all`

  Spisak svih opcija.

`--author`

  Ispisuje imena autora.

`-v,--version`

  Ispisuje broj verzije.

`--license`

  Ispisuje podatke o licenci.

## Skriptovanje Konsole

U KDE‑u 4, stari DCOP zamenjen je D‑Busom. Konsole pruža brojne metode koji se mogu pozvati preko D‑Busa.

Postoje dva načina za upotrebu D‑Bus sučelja: grafički, kroz Qt‑ov Prikazivač D‑Busa (`qdbusviewer`), i u komandnoj liniji naredbom `qdbus`.

Primeri:

- % `qdbus` prikazuje sve dostupne servise.

- % `qdbus` `org.kde.konsole` prikazuje D‑Bus sučelje za Konsolu.

- % `qdbus` `org.kde.konsole /Konsole` prikazuje metode za upravljanje glavnim prozorom Konsole.

- % `qdbus` `org.kde.konsole /Sessions/1` prikazuje metode za sesiju 1.

Ako pokrećete Konsolu i terminala, možda ćete umesto `org.kde.konsole` morati da koristite `org.kde.konsole-`pidof -s konsole``.

Za više detalja, pogledajte tutorijal o D‑Busu.

## „Da li ste znali?“, česti problemi i još toga

### Da li ste znali?

- Držanje Ctrla pri izboru teksta učiniće da se prelomi redova pretvore u razmake pri nalepljivanju.

- Držanje tastera Ctrl Alt pri izboru teksta daje biranje po kolonama.

- Kombinacija Ctrl točkić uveličava i umanjuje tekst, kao u K‑osvajaču i Firefoxu.

- Ako program hvata dugmad miša, iskačući meni se ipak može dobiti držanjem Shifta.

- Prečica Ctrl Shift F10 aktivira meni.

- Pritisak tastera Shift Insert umeće iz klipborda.

- Dvoklikom se bira cela reč. Nastavite da držite dugme i pomerate miš da biste proširili izbor.

- Troklikom se bira ceo red. Nastavite da držite dugme i pomerate miš da biste proširili izbor.

### Česti problemi

- Kada se pokrene iz terminala, Konsole će se podrazumevano izvršavati u pozadini. Dodajte `--nofork` da primorate Konsolu na izvršavanje u prvom planu.

  Ovo je neophodno da bi neke skripte i naredbe radile kako se očekuje:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- U KDE‑u 3, svaki jezičak je imao svoj ID procesa. U KDE‑u 4, međutim, svi jezičci dele isti ID procesa. Sporedni efekat ovoga je da ako proces jednog jezička ima nekih problema, oni se mogu odraziti i na ostale jezičke.

  Ovo je najprimetnije kada naredba koja se povezuju sa spoljašnjim uređajem ili sistemom (npr. `ssh`, `nfs`) ima problema.

- Konsole prihvata sve argumente posle opcije `-e` kao jedinstvenu naredbu i direktno je izvršava, mesto da je raščlani i možda podeli u podnaredbe za izvršavanje. Ovo se razlikuje od XTerma.

  - `konsole -e "naredba1 ; naredba2"` ne radi

  - `konsole -e $SHELL -c "naredba1 ; naredba2"` radi

- Konsole ne pruža posebne pogodnosti za izvršavanje prijavne školjke, jer se njenim programerima ne sviđa ideja izvršavanja prijavne školjke u emulatoru terminala.

  Naravno, korisnik svejedno može pokrenuti prijavnu školjku u Konsoli ako to baš želi. Uredite profil u upotrebi tako da njegova naredba izričito pokreće prijavnu školjku, recimo `bash -l` ili `zsh -l`.

- Opcija `--new-tab` nekad se čudno ponaša. Može otvoriti novi prozor, ili novi jezičak u drugom prozoru Konsole umesto u tekućem.

  Iako deluje čudno, ovakvo ponašanje nije obavezno usled greške. Opcija `--new-tab` pokušava da upotrebi postojeće prozore Konsole, ali neki od njih možda nisu upotrebljivi. U upotrebljive spadaju svi prozori otvoreni preko K‑izvođača, dok oni otvoreni iz komandne linije uglavnom ne.

## Zasluge i autorska prava

Konsolu trenutno održava Kurt Hindenburg &Kurt.Hindenburg.mail;

Prethodni održavaoci Konsole, između ostalih, bili su: Robert Najt &Robert.Knight.mail; i Valdo Bastijan &Waldo.Bastian.mail;.

Konsole (program), © 1997-2008, Lars Dele &Lars.Doelle.mail;.

Ovaj dokument je prvobitno napisao Džonatan Singer &Jonathan.Singer.mail;.

Ovaj dokument je za KDE 4.x ažurirao Kurt Hindenburg.

Ovaj dokument je za KDE 3.4 ažurirao Kurt Hindenburg &Kurt.Hindenburg.mail;.

Na DocBook SGML prvobitno pretvorili Majk Mekbrajd i Lori Vots.

Preveo Dragan Pantelić falcon-10@gmx.de.

&underFDL; &underGPL;

## Veze

Za više informacija posetite ove veb sajtove:

- domaća stranica Konsole na Korisničkoj bazi KDE‑a

- domaća stranica Konsole

- poštanska lista Konsole

- KDE na FreeBSD‑u

- KDE na Solarisu

&documentation.index;